/*Grand Titre à droite du menu (Remplacement du caroussel)*/
.Font_GrandTitre1 {
  font-family: 'Roboto', sans-serif;
  font-weight: bold;
  font-size: 26px;
  line-height: 40px;
  color: #ffffff;
  text-align: left;
  margin-left: 100px;
}

.Font_GrandTitre2 {
  font-family: 'Roboto', sans-serif;
  font-weight: normal;
  font-size: 26px;
  line-height: 40px;
  color: #ffffff;
  text-align: left;
}

.vertical-center_GrandTitre {
  margin: 0;
  position: absolute;
  top: 50%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

.menu-container {
  margin-top: -50px;
}

.menu-container ul li a:link, .menu-container ul li a:visited {
  text-decoration: none;
  color: white !important;
}

/*Accès rapides*/
.theme-info {
  max-width: calc(100% - 20px);
  padding-left: 20px;
}

.theme-cell {
  width: 345px;
  max-width: calc(100% - 20px);
  height: 200px;
  display: grid;
  justify-content: center;
  cursor: pointer;
  position: relative;
  left: 20px;
  color: black !important;
  background-color: white;
}

.theme-cell:hover .theme-title {
  color: white !important;
}

.theme-cell:hover .theme-desc {
  color: white !important;
}

.cell-bordered-aligned {
  width: 345px !important;
  display: inline-grid !important;
  justify-content: center !important;
  color: black !important;
}

.cell-bordered-aligned:hover {
  color: white !important;
}

.cell-bordered-aligned:hover .theme-title {
  color: white !important;
}

.cell-bordered-aligned:hover .theme-desc {
  color: white !important;
}

.cell-img {
  display: flex !important;
  width: 345px !important;
  justify-content: center !important;
}

.cell-img>img {
  margin-left: 0px !important;
}

.theme-title {
  text-align: center !important;
  color: black !important;
  padding-left: 15px;
  padding-right: 15px;
}

.theme-desc {
  text-align: center !important;
  padding-left: 15%;
  padding-right: 15%;
  color: rgb(102, 102, 102);
}

.col-sm-spacing {
  padding-bottom: 10px !important;
}

/*Demande information */
.panel-title {
  margin-top: 10.5px !important;
  margin-bottom: 10.5px !important;
  margin-left: 30px !important;
  font-size: 22px !important;
  font-weight: 500 !important;
  display: inline-block;
}

.panel-body {
  padding-left: 60px !important;
  background-color:white !important;
}

#rcorners1 {
  border-radius: 23px;
  background: rgb(238, 238, 238);
  padding-top: 3px;
  padding-bottom: 3px;
  padding-right: 15px;
  padding-left: 15px;
  width: max-content;
  height: min-content;
  font-weight: 500;
  white-space: nowrap;
  display: inline-block;
}

#rcorners2 {
  border-radius: 23px;
  background: rgb(238, 238, 238);
  padding-top: 3px;
  padding-bottom: 3px;
  padding-right: 15px;
  padding-left: 15px;
  width: max-content;
  height: min-content;
  color: white;
  font-weight: 500;
  white-space: nowrap;
  display: inline-block;
}

.plus-content1 {
  content: "";
  position: relative;
  top: 40px;
  left: 0px;
  width: 14px;
  height: 2px;
  background: rgb(10, 10, 10);
}

.plus-content2 {
  content: "";
  position: relative;
  top: 28px;
  left: 0px;
  width: 14px;
  height: 2px;
  background: rgb(10, 10, 10);
  transform: rotate(90deg);
}

.panel-heading:focus>.plus-content2 {
  transform: rotate(0deg);
}

.request-button {
  color: rgb(255, 255, 255) !important;
}

.request-button:hover, .request-button:visited {
  text-decoration: none !important;
  color: rgb(255, 255, 255) !important;
}

.filter-button {
  padding: 15px 30px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 23px;
  transition: all 0.35s ease 0s;
  margin-bottom: 30px;
  font-weight: 500;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  justify-content: center;
  display: flex;
  gap: 5px;
}

.filter-button:hover {
  color: rgb(255, 255, 255);
  border-color: rgb(1, 35, 106);
  background: rgb(1, 35, 106);
}

.filter-button-elements {
  color: black;
}

.dropdown-menu {
  margin-top: -30px;
  margin-left: 29px;
}

.dropdown-menu>li>a {
  color: #333 !important;
  white-space: nowrap;
}

/*Créer la requete*/
.sidepanel-parent-div {
  margin-top: 62px;
}
.sidepanel-subdiv-1 {
  border-right: none;
  padding-left: 20px !important;
}
.sidepanel-subdiv-1 a:link, .sidepanel-subdiv-1 a:visited {
  color: #333 !important;
}


/* Menu desktop*/
div.menu-container a, div.menu-container a:link, div.menu-container a:visited { display: block; padding: 5px 10px 5px; font-family: 'Roboto', sans-serif; font-size: 16px; line-height: 1em; color: #fff; -webkit-transition: .2s ease-out; -moz-transition: .2s ease-out; -o-transition: .2s ease-out; transition: .2s ease-out;}
div.menu-container a:link, div.menu-container a:visited { text-decoration: none; }


/* Plus gros que les tablette standard en landscape */
@media (min-width: 1025px) {	
	.carousel-horz-container > div h2 { left: 0px; }	
}

.container a:link, .container a:visited { text-decoration: none;}
.container a:hover, .container a:active { text-decoration: underline; }



.container h1 {
	margin-top: 0; margin-bottom: 10px; border-bottom: 1px solid #333; padding-bottom: 2px;
	font-family: 'Roboto', sans-serif; font-size: 21px; color: rgb(15, 15, 15); line-height: 23px; text-transform: uppercase;
}
.container h2 {
	margin-top: 30px; margin-bottom: 10px;
	font-family: 'Roboto', sans-serif; font-weight: bold; font-size: 16px; line-height: 19px; color: rgb(0, 0, 0);
}
.container h3 {
	margin-top: 30px; margin-bottom: 10px; border-bottom: 1px solid #333;
	font-family: 'Roboto', sans-serif; font-weight: bold; font-size: 16px; line-height: 19px; color: #333;
}
.container h4 {
	margin-bottom: 10px; margin-top: 20px;
	font-family: 'Roboto', sans-serif; font-weight: bold; font-size: 13px; line-height: 16.75px; color: #333;
}
.container, .container p { font-family: 'Roboto', sans-serif; font-weight: normal; font-size: 13px; line-height: 16.75px; color: #333; }
.container p {
	margin: 0 0 10px 0;
}

/* Layout */

h2.title-hero-underline { border-bottom: 1px solid #333; padding-bottom: 2px; font-size: 21px; color: black; text-transform: uppercase;}

.discovery > div > div { margin-bottom: 30px; }
.discovery > div > div > div { box-shadow: 1px 1px 6px #999; }
.discovery > div > div > p { margin-top: 10px; font-size: 0.9em;  }
.discovery .row h2 { margin: 0; padding: 5px 10px; font-size: 16px; font-weight: bold; text-transform: uppercase; color: #EE6B00; background: #eaebea; font-family: 'Roboto', sans-serif; text-align: center}
.discovery img { display: block; background:#ccc; width:100%; height:110px; filter: grayscale(10); }

.discovery a:hover, .discovery a:hover > p {
	color: #EE6B00;
    text-decoration: none;
}


.info-contact > div > div > div > div  { clear: both; margin-bottom: 10px; }
.info-contact > div > div > div > div:last-child { margin-bottom: 0; }
.info-contact > div > div > div > div > div  { float: left; width: 30px; }
.info-contact > div > div > div > div > div  + div { width: 210px; }

.col-sm-textspacing {
	padding-bottom: 20px;
}

.page-header {
	border-bottom: none;
}

div.info {
	padding-top: 20px;
}

.clearfix.cell.picklist-cell, .clearfix.cell.text.form-control-cell {
	padding-bottom: 0px;
	padding-right: 30px;
}

.section-title {
	padding-top: 5px;
}

.page-copy {
	margin-bottom: 0px; 
}

.dropdown-menu>.active>a, .dropdown-menu>.active>a:hover, .dropdown-menu>.active>a:focus {
	color: #fff;
	background-color: #e4e4e4;
}

li a {
	margin-left: 0px;
}

/* Liste de recherche */

h4.list-group-item-heading {
	margin-top: 0px;
}

.checkbox-cell > div.info > label {
	margin-top: -17px;
	position: absolute;
}

div.tab.clearfix {
	margin-top: 0px;
}

/* Boutons */

.btn.btn-primary, input[type="button"], button, .btn.btn-info.btn-xs, .btn.btn-default.search-more {
		display: inline-block;
    font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif;
    line-height: 1em;
    border-radius: 0.9375rem;
    border: 0;
    transition: all 0.35s ease;
    -ms-transition: all 0.35s ease;
    background: #EA155C;
    text-decoration: none;
    padding: 10px;
}

.btn.btn-default{
  border-radius: 0.9375rem;
}

input .btn.btn-default 

.btn.btn-primary:link, .btn.btn-primary:visited {
	color: #fff;
}
.btn.btn-primary:hover {
	text-decoration: none;
}


.crmEntityFormView > .actions > .col-sm-6.clearfix {
	padding-left: 0px;
}

.crmEntityFormView .actions {
	border-top: none;
}

.btn-search-remove {
	color: #EA155C; 
	border-radius: 0px; 
	background-color: #fff; 
	border: none; 
	padding: 10px;
	margin-top: -1px;
	border: 1px solid lightgray;
}

.btn-search-remove:hover {		
	border: 1px solid #EE6B00;
}

/* Menu mobile */

.navbar-inverse .navbar-toggle, .navbar-inverse .navbar-toggle:hover, .navbar-inverse .navbar-toggle:focus {
	background-color: #0083BE;
    border-color: #0083BE;
    padding: 9px;
    width: 40px;
    padding-left: 7px;
    padding-right: 7px;
    height: 40px;
}

.navbar-toggle .icon-bar {
	display: block;
	width: 25px;
	height: 3px;
	border-radius: 1px;
}

.dropdown.separator {
	border-top: 2px solid #fff;
}

li.close-Menu-Mobile > .btn.btn-link {
	color: #666;
}

li.close-Menu-Mobile > .btn.btn-link:hover {
	text-decoration: none;
}

.btn.btn-link.glyphicon.glyphicon-remove > span {
	padding-left: 10px;
	font-family: 'Ubuntu-Bold', Arial, "Helvetica Neue", Helvetica, sans-serif;
	font-size: 14px;
}

/* Options de menu */

.navbar-inverse .navbar-nav>.open>a, .navbar-inverse .navbar-nav>.open>a:hover, .navbar-inverse .navbar-nav>.open>a:focus {
	background-color: #fff;	
}

.mobile-menu {
		display: -webkit-inline-box;
		float: right;
}

.prev-menu-link {
		bottom: 8px;
    right: 70px;
    position: absolute;
}

.navbar-inverse .navbar-nav .open .dropdown-menu>li>a:hover {
		
		color: #e4e4e4;
}

/* Pagination */

.pagination>.active>a, .pagination>.active>a:hover, .pagination>.active>a:focus, .pagination>.active>span, .pagination>.active>span:hover, .pagination>.active>span:focus {
	background-color: transparent;
	color: #EA155C;
	font-weight: bold;
}

.view-pagination .pagination {
	margin: 0px;
}

/* Progress bar */

.progress {
	box-shadow: none;
}

ol.progress > li.list-group-item > span.number {	
	position: relative;
	display: inline-block;
	float: none;
	width: 40px;
	height: 40px;
	border-radius: 20px;
	font-size: 20px;	
	line-height: 36px;
	text-align: center;
	margin-right: 5px;
	padding-right: 0px;
	vertical-align: middle;
}

ol.progress > li.list-group-item {
	font-weight: bold;
	padding: 0px;
}

ol.progress > li.list-group-item::after {
	content: " ------------- ";
  white-space: pre;
  font-size: 18px;
  color: #0083BE;
}

ol.progress > li.list-group-item:last-child::after {
	content: none;  
}

ol.progress > li.list-group-item.list-group-item-success {
		color: #0083BE;	
}

ol.progress > li.list-group-item.list-group-item-success > span.number {
		background: url(icon-check.svg) #0083BE center center no-repeat;
		background-size: 13px 13px;		
		font-size: 1px;    
    vertical-align: middle;
}

ol.progress > li > span.glyphicon.glyphicon-ok {
	display: none;
}

ol.progress > li.list-group-item.active > span.number {	
	border: 3px solid #0083BE;	
}

ol.progress > li.list-group-item.active {
	color: #0083BE;
}

ol.progress > li.list-group-item.incomplete > span.number {	
	border: 3px solid #ccc;	
}

ol.progress > li.list-group-item.incomplete {
	color: #666;
}

ol.progress, ol.progress > li.list-group-item {
	border: none;
	background-color: #fff;	
}

ol.progress > li.list-group-item.active:hover, ol.progress > li.list-group-item.active:focus {	
	border: none;	
	background-color: #fff;	
}

/* Messages d'alertes */

.alert-info, .alert-warning, .view-empty.message {
	background-color: #f2f2f3;
	border-color: #ccc;
	color: #333;
	border-radius: 3px;
}

.view-empty.message {
	padding: 15px;
	margin-bottom: 21px;  
	border: 1px solid #ccc;
}

/* Panneaux */

.panel {
	border: none;
}

.panel-body {
	padding-left: 0px;
	background-color: #f2f2f2;
}

ul.list-group > li.list-group-item {
	border: none;
}

/* Formulaire */

.crmEntityFormView .cell {
	padding-left: 0px;
}

div.col-md-8.entity-notes {
	padding-left: 0px;
}

.entity-grid .message {	
	margin: 0px; 
}

.crmEntityFormView .tab {
	margin-top: 5px;	
	margin-bottom: 0px;
}

.crmEntityFormView fieldset {
	margin-bottom: 35px;
}

.crmEntityFormView .tab-title {
	border-bottom: none;
}

.crmEntityFormView .cell.checkbox-cell:first-child {	
	padding-top: 15px;
}

.input-group-search {
	width: 75%;
}

.modal-header {
    border-bottom: none;
}

.modal-footer {
	border-top: none;
	
}

.modal-title {
	font-size: 20px;
}

.label-info {
	background-color: #007A66;
}

/* Carte création de requête */
#mapid {
	height: 300px;
	/*width: 75%*/
}

.readonly-no-outline {
	background-color: #fff;
    border: none;    
    font-size: 15px;
    line-height: 1.42857;
	color: rgb(85, 85, 85);    
	resize: none;
}

.readonly-no-outline:focus {
	outline: none;	
}

.container_GrandTitre {
  height: 220px;
  width: 100%;
}

.menu-carousel {
  height: 220px !important;
}

.btn.btn-primary {
  text-decoration: none;
}

/*
  Adaptive Section based on the Client
*/


#footer {
	background-color: var(--dark-color);
}

.menu-container ul li a:hover, .menu-container ul li a:active {
  background-color: var(--primary-color);
}

.theme-cell:hover {
  background-color: var(--primary-color);
  transition: all 0.3s ease 0s;
  color: white !important;
}

#footer h3 { 
  margin: 0 0 10px 0; 
  font-family: Arial, "Helvetica Neue", Helvetica, sans-serif; 
  font-size: 13px; 
  font-weight: bold; 
  color: #fff; 
  text-transform: uppercase; 
}

.navbar-static-top.navbar-inverse {
  background-color: #fff;
}

.container-fluid.menu-carousel {
  background: linear-gradient(0deg, rgba(68, 68, 68, 0.97), rgba(68, 68, 68, 0.97)),
              url(https://villesaintraymond.com/uploads/images/backgrounds/_large/1688/DJI_0492-HDR.webp);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

#footer > div.show-for-big-device ul > li a:hover,
.navbar-inverse .navbar-nav>li>a:hover {
    color: var(--primary-color);
}

.btn.btn-primary {
	background-color: var(--primary-color);
  color: #fff;
  border: 0.125rem solid var(--primary-color);
}

.btn.btn-primary:hover {
	background-color: var(--primary-color);
  color : #fff
}

.container a:link, .container a:visited { color: var(--primary-color); }

.container .sort-enabled a:link, .container .sort-enabled a:visited, .container .sort-disabled, .container .sort-disabled {
	color: var(--dark-color);
}

.btn-default{
  color: var(--primary-color);
  border-color: var(--primary-color);
}

.subtitle{
  color: var(--primary-color);
}

.filter-button {
  color: rgb(255, 255, 255) !important;
  border-color: var(--primary-color) !important;
  background: var(--primary-color) !important;
}

.search-icon {
  background-color: var(--primary-color);
}

.search-input:focus {
  border-bottom: 2px solid var(--primary-color) ; /* Couleur de bordure lors de la sélection */
}

#rcorners2 {
  background-color: var(--primary-color);
}

#rcorners2:hover {
  background-color: var(--secondary-color);
}

.panel-title {
  color: var(--dark-color) !important;
}

.form-control:focus {
    border-color: var(--primary-color);
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px var(--primary-color);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px var(--primary-color)
}

.btn-default:active,
.btn-default.active,
.open>.btn-default.dropdown-toggle {
    color: var(--secondary-color);
    background-color: #e6e6e6;
    border-color: var(--secondary-color);
}

.btn-default:active:hover,
.btn-default:active:focus,
.btn-default:active.focus,
.btn-default.active:hover,
.btn-default.active:focus,
.btn-default.active.focus,
.open>.btn-default.dropdown-toggle:hover,
.open>.btn-default.dropdown-toggle:focus,
.open>.btn-default.dropdown-toggle.focus {
    color: var(--secondary-color);
    background-color: #d4d4d4;
    border-color: var(--secondary-color);
}

#rcorners1 {
  color: var(--secondary-color);
}

.btn:hover,
.btn:focus,
.btn.focus,
.btn:active:focus,
.btn:active.focus,
.btn.active:focus,
.btn.active.focus {
  text-decoration: none
}

.btn-default.disabled:hover,
.btn-default.disabled:focus,
.btn-default.disabled.focus,
.btn-default[disabled]:hover,
.btn-default[disabled]:focus,
.btn-default[disabled].focus,
fieldset[disabled] .btn-default:hover,
fieldset[disabled] .btn-default:focus,
fieldset[disabled] .btn-default.focus {
  background-color: #fff;
  border-color: var(--primary-color);
}